#include <stdio.h>
#include <stdlib.h>

int main()
{

   int i,j,n,q,r;
   float med,pom;
    scanf("%d%d", &n, &q);
    int n2=n;
    float a[n], b[q];
    for(i=0;i<n;i++)
        scanf("%f", &a[i]);
    for(i=0;i<q;i++)
        scanf("%f", &b[i]);
  for(i=0;i< n-1;i++)
 {
  for(j=i+1;j< n;j++)
  {
   if(a[i]>a[j])
   {
    pom = a[i];
    a[i] = a[j];
    a[j] = pom;
   }}}
   for(i=0;i<n;i++)
    printf("%.f", a[i]);
   printf("\n");
    if(n%2==0)
     med = (a[(n/2)-1]+a[(n/2)])/2.0;
    else
    med=a[n/2];

    printf("medijana je %f", med);


}